Bug 874374 - RFE: Make translation editor options persistent.
RFE: Make translation editor options persistent.
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Persistence, Component-UI, Usability (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.1
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 22:20 EST by Carlos Munoz
Modified: 2013-02-25 23:06 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.1-SNAPSHOT (20121129-1444)
Doc Type: Enhancement
Doc Text:
Feature: Selected options in the Translation editor can now be stored in the user's account. Once stored, these options can be recalled at any time or reverted back to the defaults. Reason: Users have different preferences when working with Zanata, and this makes it easier for them to save these settings instead of changing them every time they work on the editor. Result (if any): Users are now able to save a set of editor settings, load previously saved settings, and restore them to their default values.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 23:06:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-11-07 22:20:55 EST
Translation Editor options should be persistent in the database.
Comment 1 Carlos Munoz 2012-11-07 22:24:26 EST
Implemented basic editor options persistence with three possible actions:

1. Save the currently selected options.
2. Load the last saved set of options for the user.
3. Restore the options to their default selections.

For this revision, only the options on the sliding "Settings" panel are stored.

See:
https://github.com/zanata/zanata/commit/5cd9652f21f79b5a78319d5f1d726dd846ef2998
https://github.com/zanata/zanata/commit/c46f0df6fc23328af00d02cd3466aab58061ab14
https://github.com/zanata/zanata/commit/53fbd2a88b3206168b5c88df929a1513a42c322e
https://github.com/zanata/zanata/commit/75c74c8c4da1495d3ff4047b1366cbc49b1b8635
https://github.com/zanata/zanata/commit/eb15dd460a61d81efdb693bb6656bfd193c40f68
https://github.com/zanata/zanata/commit/98222e9db92068f041704de6eb88c271d7226e58
Comment 3 Ding-Yi Chen 2012-11-08 22:45:03 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20121109-1104)

Note that the scope of this RFE is only the capability of store user setting, not automatically applied the stored setting when they sign in next time.
Comment 4 Sean Flanigan 2012-11-09 02:25:51 EST
For usability, I think it's important that the user options be loaded and saved automatically.
Comment 5 Carlos Munoz 2012-11-13 00:49:07 EST
Added feature to load persistent options initially when starting an editor. Please retest.

See:
https://github.com/zanata/zanata/commit/f27e8dfb5c7797d734d5b8361083dc109ab5aeec
https://github.com/zanata/zanata/commit/5b795495b3574b90f712b5dd0fd65b1752a832ef
Comment 7 Ding-Yi Chen 2012-11-29 01:46:08 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20121129-1444)

Note You need to log in before you can comment on or make changes to this bug.